#ifndef CTHREADLOCALE_H
#define CTHREADLOCALE_H

class CThreadLocale
{
public:
    explicit CThreadLocale(LCID lcid) noexcept : m_lcid(::GetThreadLocale()) { ::SetThreadLocale(lcid); }
    ~CThreadLocale() { ::SetThreadLocale(m_lcid); }

    static inline LCID    getLCID() noexcept     { return(::GetThreadLocale());        }
    static inline LANGID  getLANGID() noexcept   { return(LANGIDFROMLCID(getLCID()));  }

private:
    LCID m_lcid;
};

#endif
