VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4275
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8250
   LinkTopic       =   "Form1"
   ScaleHeight     =   4275
   ScaleWidth      =   8250
   StartUpPosition =   3  'Windows-Standard
   Begin VB.ListBox liBaudConfig 
      Height          =   3180
      Left            =   240
      TabIndex        =   1
      Top             =   840
      Width           =   7815
   End
   Begin VB.ComboBox cbDevices 
      Height          =   315
      Left            =   240
      Style           =   2  'Dropdown-Liste
      TabIndex        =   0
      Top             =   240
      Width           =   7815
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cbDevices_Click()
    Dim Devices As CP210xExLib.CP210xDevices
    Dim config() As CP210xExLib.BaudConfig
    Dim n As Integer

    liBaudConfig.Clear
    
    Set Devices = New CP210xDevices
    config = Devices(cbDevices.ListIndex).GetBaudRateConfig
    
    For n = LBound(config) To UBound(config)
        liBaudConfig.AddItem n & ": " & _
                             "BaudGen = " & config(n).BaudGen & _
                             ", BaudRate = " & config(n).BaudRate & _
                             ", Prescaler = " & config(n).Prescaler & _
                             ", Timer0Reload = " & config(n).Timer0Reload
    Next n
End Sub

Private Sub Form_Load()
    Dim Devices As CP210xExLib.CP210xDevices
    Dim Device As CP210xExLib.CP210x
    
    Set Devices = New CP210xExLib.CP210xDevices
    
    For Each Device In Devices
        cbDevices.AddItem "VID = " & Device.GetDeviceVid & _
                          ", PID = " & Device.GetDevicePid & _
                          ", SN = " & Device.GetDeviceSerialNumber
    Next
End Sub
